=head1 NAME

Gtk2::FontSelectionDialog

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Dialog
                                     +----Gtk2::FontSelectionDialog



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::FontSelectionDialog-E<gt>B<new> ($title)

=over

=item * $title (string) 

=back

=head2 widget = $fsd-E<gt>B<get_apply_button> 

=head2 widget = $fsd-E<gt>B<get_cancel_button> 

=head2 font = $fsd-E<gt>B<get_font> 

=head2 string = $fsd-E<gt>B<get_font_name> 

=head2 boolean = $fsd-E<gt>B<set_font_name> ($fontname)

=over

=item * $fontname (string) 

=back

=head2 widget = $fsd-E<gt>B<get_font_selection> 

Since: gtk+ 2.22

=head2 widget = $fsd-E<gt>B<get_ok_button> 

=head2 string = $fsd-E<gt>B<get_preview_text> 

=head2 $fsd-E<gt>B<set_preview_text> ($text)

=over

=item * $text (string) 

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>, L<Gtk2::Dialog>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

